Announcement

Collapse
No announcement yet.

Upgrade 5.3.5 ->

Collapse
This topic is closed.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrade 5.3.5 ->

    Hi,

    I have been using this system since way back to version 3.*
    now the current forum we have I can successfully upgrade to 5.3.4 everything is working brilliant .

    now when I try to upgrade past this to 5.4 / 5.4.5 / 5.5 I run into issues.

    The issue _only_ affects the 'Forums' Themselves.
    On the front page they all show as being there.
    As soon as you click on a topic / post you get an error.

    Code:
    Debug: Error
    <b>API Error</b><br><b>Controller:</b> site<br><b>Method:</b> loadHeaderNavbar<br><b>Error(s):</b> <br><pre style="font-family:Lucida Console,Monaco5,monospace;font-size:small;overflow:auto;border:1px solid #CCC;">array ( 0 =&gt; array ( 0 =&gt; 'unexpected_error', 1 =&gt; 'error_no_routeid', ), )</pre><br>
    occurred in file /var/www/clients/client1/web1/web/includes/vb5/template/runtime.php on line 552
    Trace
    • Function parseData in file /var/www/clients/client1/web1/web/includes/vb5/template.php(322) : eval()'d code line 446
    • Function eval in file /var/www/clients/client1/web1/web/includes/vb5/template.php line 322
    • Function render in file /var/www/clients/client1/web1/web/includes/vb5/template/cache.php line 134
    • Function replacePlaceholders in file /var/www/clients/client1/web1/web/includes/vb5/template.php line 344
    • Function render in file /var/www/clients/client1/web1/web/includes/vb5/frontend/controller/page.php line 259
    • Function index in file /var/www/clients/client1/web1/web/index.php line 74
    now the debug on the bottom shows as

    Code:
     Debug Information
    • Page ID:
    • Parent ID:
    • Page Template ID:
    • Route ID:
    • Page Type:
    • Screen Layout ID:
    • Screen Layout Template:
    • Channel ID:
    • Node ID:
    • Database Asserts: 0 (?)
    • AJAX Requests: 3
    • Facebook Active: No (Not enabled or no appid & secret set)
    • Style ID: 90
    • Templates/Renders: 24/62
    • CSS Templates: 6
    • JS Files: 6
    • Included Files: 158
    • Autoloaded Classes: 157
    • Current Time: Wed, 20 Nov 2019 15:01:57 +0000
    • Page Time:
    Code:
    VM4985 file-upload-rollup-540.js:4 Uncaught ReferenceError: jQuery is not defined
        at VM4985 file-upload-rollup-540.js:4
    (anonymous) @ VM4985 file-upload-rollup-540.js:4
    VM4986 admin-sbpanel-style.js:11 Uncaught ReferenceError: $ is not defined
        at VM4986 admin-sbpanel-style.js:11
    (anonymous) @ VM4986 admin-sbpanel-style.js:11
    VM4987 config-site.js:11 Uncaught ReferenceError: $ is not defined
        at VM4987 config-site.js:11
    (anonymous) @ VM4987 config-site.js:11
    VM4988 vbscroller.js:11 Uncaught ReferenceError: $ is not defined
        at VM4988 vbscroller.js:11

    I have tried using /node/XXX again the same issue.

    I have rebuilt search, forums, topics all to no avail.


    Just to reiterate upgrade to 5.3.4 works fine . no issues at all.
    upgrade above 5.3.4 creates issues.

    Articles work fine.
    user profiles work fine.
    blogs work fine.
    admincp works fine
    forums results in the error above.

    The upgrade completely loses the route/page/parent/ ids'

    All forums/topics/posts are visible within the ADMIN section.

    Adding a new forum results in same error
    editing existing forums results in same error.


    What have I missed doing on the upgrade ?

    Steve

    just for completeness

    php 7.2
    mariadb 10.*
    apache 2.4

    running on a custom build cloud/cluster setup load balancer -> 2 Web front end servers and a singular database server (currently).
    Last edited by Stevieb_Farm_IT; Wed 20th Nov '19, 6:20am.

  • #2
    Since the Navigation Bar is rendered on every single front-end page and that is failing, all pages will have the same error. There is no template call or eval statement at line 322 in the file /includes/vb5/template.php within vBulletin 5.5.5. Make sure you have replaced all vBulletin 5.3.X files with the files from vBulletin 5.5.5. The render() function doesn't occur until line 341 in vBulletin 5.5.5. You either have modified files, which we don't support, or you didn't completely overwrite the pre-existing files on one of your web servers.
    1. Make sure to overwrite the 5.3.5 files with the new files on both webservers.
    2. Make sure to run the upgrade script so that all templates are updated.
    3. Make sure you have all the required PHP libraries installed. You can see them here: System Requirements
    Translations provided by Google.

    Wayne Luke
    The Rabid Badger - a vBulletin Cloud demonstration site.
    vBulletin 5 API - Full / Mobile
    Vote for your favorite feature requests and the bugs you want to see fixed.

    Comment


    • #3
      This is why it has thrown me, the _only_ pages that throw an error are if you try to look into any forums / posts .
      Each time I have tried the upgrade I have only used the existing images / smilies / icon directories.
      upgrade completes successfully
      all installed as far as I can tell from checking manually.

      Steve

      Comment


      • #4
        in addition .. I have pushed a support ticket on .
        vBulletin Ticket System (Ticketid: 2312151)

        Comment


        • #5
          in addition ..

          have noticed this in chrome inspector again only if you try to view an actual forum topic / post

          VM341 file-upload-rollup-555.js:4 Uncaught ReferenceError: jQuery is not defined
          at VM341 file-upload-rollup-555.js:4
          (anonymous) @ VM341 file-upload-rollup-555.js:4
          VM344 config-site.js:11 Uncaught ReferenceError: $ is not defined
          at VM344 config-site.js:11
          (anonymous) @ VM344 config-site.js:11
          VM345 vbscroller.js:11 Uncaught ReferenceError: $ is not defined
          at VM345 vbscroller.js:11
          (anonymous) @ VM345 vbscroller.js:11

          hoping to jog someone to give us a hand now.

          Comment


          • #6
            Have you followed the File Cleanup steps listed in this topic: https://forum.vbulletin.com/forum/vb...lletin-connect

            Does the issue occur in a default style? Your customized style may not be compatible with the new version or is trying to call jQuery too early in the process. We don't initiate jQuery until the footer of the page is loaded.
            Translations provided by Google.

            Wayne Luke
            The Rabid Badger - a vBulletin Cloud demonstration site.
            vBulletin 5 API - Full / Mobile
            Vote for your favorite feature requests and the bugs you want to see fixed.

            Comment


            • #7
              yes. default style, all / any styles.
              upgrade from 5.3.0 - 5.3.5 is all fine.
              5.4.0 and above breaks the forums side of things.

              so between 5.3.5 to 5.4+ -something- is incompatible somewhere.
              wayne we have an open ticket with you under Eric Grant. I am at a real loss on this one. getting near to just binning vBulletin off as its causing more hassles than it really should of late.

              Comment


              • #8
                Followed up in the ticket. Having a forum topic and a ticket open just invites confusion.
                Translations provided by Google.

                Wayne Luke
                The Rabid Badger - a vBulletin Cloud demonstration site.
                vBulletin 5 API - Full / Mobile
                Vote for your favorite feature requests and the bugs you want to see fixed.

                Comment

                Related Topics

                Collapse

                Working...
                X